Subject: Re: linux-next: manual merge of the block tree with the cifs tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 21 Feb 2023 11:37:56 +1100

Hi all,

On Mon, 20 Feb 2023 11:42:01 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the block tree got conflicts in:
> 
>   fs/cifs/fscache.c
> 
> between commit:
> 
>   8378eea2e41f ("cifs: Change the I/O paths to use an iterator rather than a page list")
> 
> from the cifs tree and commit:
> 
>   220ae4a5c2ba ("cifs: use bvec_set_page to initialize bvecs")
> 
> from the block tree.
> 
> I fixed it up (the former removed the code updated by the latter in
> fscache_fallback_write_pages(), so I did that) and can carry the fix as
> necessary. This is now fixed as far as linux-next is concerned, but any
> non trivial conflicts should be mentioned to your upstream maintainer
> when your tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.

This is now a conflict between the cifs tree and Linus' tree.
-- 
Cheers,
Stephen Rothwell